| Bsoft 2.0.5 Bernard's software package

Functions
qsort_functions.cpp File Reference

Library utility functions for use in qsort calls. More...

`#include "qsort_functions.h"`

Go to the source code of this file.

## Functions
int | QsortSmallToLargeFloat (const void *x, const void *y)
| Utility function for sorting floating point values in qsort. More...
int | QsortLargeToSmallFloat (const void *x, const void *y)
| Utility function for sorting floating point values in qsort. More...
int | QsortSmallToLargeDouble (const void *x, const void *y)
| Utility function for sorting double precision floating point values in qsort. More...
int | QsortLargeToSmallDouble (const void *x, const void *y)
| Utility function for sorting double precision floating point values in qsort. More...
int | QsortSmallToLargeIntFloat (const void *x, const void *y)
| Utility function for sorting int float pairs in qsort. More...
int | QsortLargeToSmallIntFloat (const void *x, const void *y)
| Utility function for sorting int float pairs in qsort. More...

## Detailed Description

Library utility functions for use in qsort calls.

Author
  Bernard Heymann

Date
  Created: 20010516
  Modified: 20100724

Definition in file qsort_functions.cpp.

## Function Documentation

## ◆ QsortLargeToSmallDouble()

int QsortLargeToSmallDouble | ( | const void * | x,
|  | const void * | y
| ) |  |

Utility function for sorting double precision floating point values in qsort.

Parameters

  *x | first floating point value.
  *y | second floating point value.

Returns
  -1 if x > y and 1 otherwise.

Definition at line 59 of file qsort_functions.cpp.

## ◆ QsortLargeToSmallFloat()

int QsortLargeToSmallFloat | ( | const void * | x,
|  | const void * | y
| ) |  |

Utility function for sorting floating point values in qsort.

Parameters

  *x | first floating point value.
  *y | second floating point value.

Returns
  -1 if x > y and 1 otherwise.

Definition at line 31 of file qsort_functions.cpp.

## ◆ QsortLargeToSmallIntFloat()

int QsortLargeToSmallIntFloat | ( | const void * | x,
|  | const void * | y
| ) |  |

Utility function for sorting int float pairs in qsort.

Parameters

  *x | first pair.
  *y | second pair.

Returns
  -1 if x > y, 1 if x < y, and 0 otherwise.

Definition at line 89 of file qsort_functions.cpp.

## ◆ QsortSmallToLargeDouble()

int QsortSmallToLargeDouble | ( | const void * | x,
|  | const void * | y
| ) |  |

Utility function for sorting double precision floating point values in qsort.

Parameters

  *x | first floating point value.
  *y | second floating point value.

Returns
  -1 if x < y and 1 otherwise.

Definition at line 45 of file qsort_functions.cpp.

## ◆ QsortSmallToLargeFloat()

int QsortSmallToLargeFloat | ( | const void * | x,
|  | const void * | y
| ) |  |

Utility function for sorting floating point values in qsort.

Parameters

  *x | first floating point value.
  *y | second floating point value.

Returns
  -1 if x < y and 1 otherwise.

Definition at line 17 of file qsort_functions.cpp.

## ◆ QsortSmallToLargeIntFloat()

int QsortSmallToLargeIntFloat | ( | const void * | x,
|  | const void * | y
| ) |  |

Utility function for sorting int float pairs in qsort.

Parameters

  *x | first pair.
  *y | second pair.

Returns
  -1 if x < y, 1 if x > y, and 0 otherwise.

Definition at line 73 of file qsort_functions.cpp.